MK-BUILD-DEPS.FR(1)

NOM
mk-build-deps - Construire un paquet qui satisfait les dépendances de construction d'un paquet

SYNOPSIS
mk-build-deps --help|--version

mk-build-deps [options] fichier de contrôle | nom de paquet ...

DESCRIPTION
À partir d'un nom de paquet ou d'un fichier de contrôle, mk-build-deps utilisera equivs pour produire un paquet binaire qui peut être installé pour satisfaire les dépendances de construction d'un paquet.

Si --build-dep ou --build-indep est fournie, les paquets binaires résultant ne dépendront respectivement que des dépendances Build-Depends ou Build-Depends-Indep (ou des deux).

OPTIONS

-i, --install
    Installer les paquets créés et leurs dépendances de construction.

-t, --tool
    Pour l'installation du paquet créé, utiliser l'outil indiqué (par défaut : apt-get -o Debug::pkgProblemResolver=yes --no-install-recommends).

-r, --remove
    Supprimer le fichier du paquet après l'avoir installé. Cette option est ignorée si l'option --install n'est pas utilisée.

-a toto, --arch toto
    Configurer l'architecture du paquet binaire produit à foo. Si cette option n'est pas passée, retourner à la valeur donnée par --host-arch. Si ni cette option ni --host-arch ne sont utilisées, mais que les dépendances de construction (Build-Depends) renferment des restrictions d'architectures, utiliser la valeur affichée par "dpkg-architecture -qDEB_HOST_ARCH". Autrement, utiliser all.

    L'architecture du paquet doit être la même que l'architecture de l'hôte sauf si l'architecture du paquet est all.

    L'architecture du paquet ne peut pas être all si l'architecture de construction et celle de l'hôte diffèrent.

--host-arch toto
    Configurer l'architecture de l'hôte pour laquelle le paquet binaire est construit. La valeur par défaut est celle affichée par "dpkg-architecture -qDEB_HOST_ARCH". Utiliser cette option pour créer un paquet binaire capable de satisfaire des dépendances de construction croisée.

    Si cette option est utilisée avec --arch, alors les deux valeurs doivent être les mêmes sauf si la valeur de --arch est all.

    Si --arch n'est pas donnée, alors cette option configure aussi l'architecture du paquet.

--build-arch toto
    Configurer l'architecture de construction pour laquelle le paquet binaire est construit. La valeur par défaut est celle affichée par "dpkg-architecture -qDEB_BUILD_ARCH". Utiliser cette option pour créer un paquet binaire capable de satisfaire des dépendances de construction croisée.

-B, --build-dep
    Crée un paquet qui ne dépend que des dépendances Build-Depends du paquet source.

-A, --build-indep
    Crée un paquet qui ne dépend que des dépendances Build-Depends-Indep du paquet source.

-P, --build-profiles profile[,...]
    Génère un paquet qui ne dépend que des dépendances de construction avec les profils de construction passés en paramètre, séparés par des virgules. Le comportement par défaut est de n'utiliser aucun profile spécifique. Cette option surcharge la variable d'environnement DEB_BUILD_PROFILES.

-h, --help
    Afficher un résumé des options.

-v, --version
    Affiche la version et le copyright.

-s, --root-cmd
    Utilise l'outil indiqué pour obtenir les droits du superutilisateur avant l'installation. Cette option est ignorée si l'option --install n'est pas utilisée.

ENVIRONNEMENT

  Environnement externe

DEB_BUILD_PROFILES
    Si activé, sera utilisé comme profil(s) actif(s) pour les dépendances de construction à installer. Liste de nom de profils séparés par des espaces. Surchargé par l'option -P.

AUTEUR
mk-build-deps est sous copyright de Vincent Fourmond et a été modifié pour le paquet devscripts par Adam D. Barratt <adam@adam-barratt.org.uk>.

Ce programme est fourni SANS AUCUNE GARANTIE. Vous êtes libre de redistribuer ce code sous les termes de la licence publique générale GNU (GNU General Public Licence), version 2 ou ultérieure.

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2021